Topologies
Get all topologies for the authenticated user's networks.
Returns both live-view rows (snapshot_id IS NULL) and snapshot-pinned
rows. The frontend renders the live one by default and renders snapshot
rows when the user picks one from the snapshots dropdown.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Query Parameters
network_id?string|null
Filter by network ID
Format
uuidids?|null
Filter by specific entity IDs (for selective loading)
limit?integer|null
Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.
Format
int32Range
0 <= value <= 1000offset?integer|null
Number of results to skip. Default: 0.
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://app.scanopy.net/api/v1/topology"{
"data": [
{
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"options": {
"local": {
"bundle_edges": true,
"hide_edge_types": [
"Hypervisor"
],
"no_fade_edges": false,
"show_minimap": true,
"tag_filter": {
"hidden_host_tag_ids": [],
"hidden_service_tag_ids": [],
"hidden_subnet_tag_ids": []
}
},
"request": {
"container_rules": {
"Application": [
{
"id": "dc21a29b-7131-4b48-bad5-5a282bca6677",
"rule": {
"ByApplication": {
"tag_ids": []
}
}
}
],
"L2Physical": [
{
"id": "51d9ea98-1a2e-4b11-b76a-79d310aa8e7e",
"rule": "ByHost"
}
],
"L3Logical": [
{
"id": "d9df80dd-b789-4559-8411-0357bd4ef598",
"rule": "BySubnet"
},
{
"id": "7e148b8b-7ed3-4f2a-878b-5f25291ba562",
"rule": "MergeContainerBridges"
}
],
"Workloads": [
{
"id": "51d9ea98-1a2e-4b11-b76a-79d310aa8e7e",
"rule": "ByHost"
}
]
},
"element_rules": [
{
"id": "385a9ae4-58a9-48e7-ba54-e70d7ab2e77d",
"rule": "ByTrunkPort"
},
{
"id": "7dc2c26d-b61d-4155-96c3-a3b156773356",
"rule": "ByVLAN"
},
{
"id": "6ec4bf66-3a5a-463b-aa94-ead00aaa8adb",
"rule": "ByPortOpStatus"
},
{
"id": "b127f3e4-df5f-494d-b46d-3b7ddd1cf611",
"rule": {
"ByServiceCategory": {
"categories": [
"NetworkCore",
"NetworkAccess",
"RemoteAccess",
"Workstation",
"Mobile",
"Printer",
"OpenPorts"
],
"is_infra_rule": true,
"title": "Infrastructure"
}
}
},
{
"id": "352bb33f-229a-49fd-b3d5-50125c2d97a3",
"rule": {
"ByTag": {
"tag_ids": [],
"title": null
}
}
},
{
"id": "276bf733-14bb-407b-8cc0-5e30e94d84eb",
"rule": "ByHypervisor"
},
{
"id": "2e81c39e-a42c-4c0f-abd5-3d81e013c24b",
"rule": "ByContainerRuntime"
},
{
"id": "0f9d5b2b-d661-4212-a66d-dc933eb44646",
"rule": "ByStack"
}
],
"hide_entities": {},
"hide_metadata_values": {
"Application": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L2Physical": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L3Logical": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"Workloads": {
"Service": {
"Category": [
"OpenPorts"
]
}
}
}
}
},
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.17.8"
},
"success": true,
"error": "string"
}